### Struct

# GUPnP ServiceProxyAction

#### Description [src]

    struct GUPnPServiceProxyAction {
      /* No available fields */
    }

Opaque structure for holding in-progress action data.

#### Constructors

###### gupnp_service_proxy_action_new

Prepares action `action` with parameters `Varargs` to be sent off to a remote service later with `gupnp_service_proxy_call_action()` or gupnp_service_proxy_call_action_async().

###### gupnp_service_proxy_action_new_from_list

Prepares action `action` with parameters `in_names` and `in_values` to be sent off to a remote service later with `gupnp_service_proxy_call_action()` or gupnp_service_proxy_call_action_async(). This is mainly useful for language bindings.

#### Instance methods

###### gupnp_service_proxy_action_get_result

Retrieves the result of `action`. The out parameters in `Varargs` will be filled in, and if an error occurred, `error` will be set. In case of an UPnP error the error code will be the same in `error`.

###### gupnp_service_proxy_action_get_result_hash

See gupnp_service_proxy_action_get_result(); this version takes a `GHashTable` for runtime generated parameter lists.

Available since: 1.2.0

###### gupnp_service_proxy_action_get_result_list

A variant of `gupnp_service_proxy_action_get_result()` that takes lists of out-parameter names, types and place-holders for values.

Available since: 1.2.0

###### gupnp_service_proxy_action_ref

Increases reference count of `action`

Available since: 1.2.0

###### gupnp_service_proxy_action_set

Update the value of `key` to `value`.

Available since: 1.4.0

###### gupnp_service_proxy_action_unref

Decreases reference count of `action`. If reference count drops to 0, the action and its contents will be freed.

Available since: 1.2.0